#include <relapp.h>
#include <stdtypes.h>
#include <lffiles.h>
#include "ba4.h"
#include "ba4100.h"

class BA4100_application : public TRelation_application
{
	TMask* _msk;
	TRelation* _rel;
	virtual bool user_create() ;                         
	virtual bool user_destroy() ;                        
	virtual TMask* get_mask(int mode) { return _msk;}
	virtual bool changing_mask(int mode) { return FALSE;}
	virtual TRelation* get_relation() const { return _rel;}

public:
  BA4100_application() {}
	virtual ~BA4100_application() {}
};

bool BA4100_application::user_create()
{
  _msk = new TMask("ba4100a") ;
  _rel = new TRelation(LF_COMUNI);
  return TRUE;
}

bool BA4100_application::user_destroy()
{
  delete  _msk;
	delete  _rel;
	return TRUE;
}

int ba4100(int argc, char* argv[])
{
  BA4100_application a ;
  a.run(argc, argv, "Anagrafica Comuni");
  return 0;
}
